# Uses of Interface
org.springframework.web.bind.support.WebBindingInitializer

Packages that use WebBindingInitializer
Package
Description
org.springframework.web.bind.support
Support classes for web data binding.
org.springframework.web.method.annotation
Support classes for annotation-based handler method processing.

## Uses of WebBindingInitializer in org.springframework.web.bind.support

Classes in org.springframework.web.bind.support that implement WebBindingInitializer
Modifier and Type
Class
Description
`class`
`ConfigurableWebBindingInitializer`
Convenient `WebBindingInitializer` for declarative configuration in a Spring application context.
Constructors in org.springframework.web.bind.support with parameters of type WebBindingInitializer
Modifier
Constructor
Description
``
`DefaultDataBinderFactory(WebBindingInitializer initializer)`
Create a new `DefaultDataBinderFactory` instance.

## Uses of WebBindingInitializer in org.springframework.web.method.annotation

Methods in org.springframework.web.method.annotation with parameters of type WebBindingInitializer
Modifier and Type
Method
Description
`static org.springframework.validation.method.MethodValidator`
HandlerMethodValidator.`from(WebBindingInitializer initializer, org.springframework.core.ParameterNameDiscoverer paramNameDiscoverer, Predicate<org.springframework.core.MethodParameter> modelAttributePredicate, Predicate<org.springframework.core.MethodParameter> requestParamPredicate)`
Static factory method to create a `HandlerMethodValidator` when Bean Validation is enabled for use via `ConfigurableWebBindingInitializer`, for example in Spring MVC or WebFlux config.
Constructors in org.springframework.web.method.annotation with parameters of type WebBindingInitializer
Modifier
Constructor
Description
``
`InitBinderDataBinderFactory(List<InvocableHandlerMethod> binderMethods, WebBindingInitializer initializer)`
Create a new InitBinderDataBinderFactory instance.